Программа: SunShop Shopping Cart 3.5, возможно более ранние версии.

Уязвимость позволяет удаленному пользователю произвести XSS нападение.
Уязвимость существует из-за недостаточной обработки входных данных в параметрах
"action", "id", "prevaction","previd","prevstart" и "itemid" в сценарии
index.php. Удаленный пользователь может с помощью специально сформированного
запроса выполнить произвольный код сценария в браузере жертвы в контексте
безопасности уязвимого сайта.

Пример:

/index.php?action=item&id=15&prevaction=[XSS]
/index.php?action=item&id=15&prevaction=category&previd=[XSS]
/index.php?action=item&id=15&prevaction=category&previd=2&prevstart=[XSS]
/index.php?action=sendtofriend& type=item&itemid=[XSS]
/index.php?action=item&id=[XSS]
/index.php?action=[XSS]
 



Оставить мнение